/*
 * (C) Copyright 2000 Mulle kybernetiK
 *
 * Check out www.mulle-kybernetik.com for licensing details
 *
 * $Id$
 *
 * $Log$
 *
 */
#import <Foundation/Foundation.h>
#include <sys/types.h>
#include <sys/time.h>


@interface Stopwatch : NSObject
{
   BOOL             running;
   unsigned long    elapsed;

   struct timeval   _start;
   struct timeval   _stop;
}

- (void) start;
- (void) stop;	  
- (unsigned long) elapsedMilliseconds;
+ (void) delay:(unsigned long) milliseconds;

@end
